-- phpMyAdmin SQL Dump
-- version 4.0.9
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: Aug 12, 2015 at 08:07 PM
-- Server version: 5.5.44-0ubuntu0.14.04.1
-- PHP Version: 5.5.9-1ubuntu4.11

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `b2evo_stable_508`
--

-- --------------------------------------------------------

--
-- Table structure for table `evo_antispam`
--

CREATE TABLE IF NOT EXISTS `evo_antispam` (
  `aspm_ID` bigint(11) NOT NULL AUTO_INCREMENT,
  `aspm_string` varchar(80) NOT NULL,
  `aspm_source` enum('local','reported','central') NOT NULL DEFAULT 'reported',
  PRIMARY KEY (`aspm_ID`),
  UNIQUE KEY `aspm_string` (`aspm_string`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=18 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_antispam__iprange`
--

CREATE TABLE IF NOT EXISTS `evo_antispam__iprange` (
  `aipr_ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `aipr_IPv4start` int(10) unsigned NOT NULL,
  `aipr_IPv4end` int(10) unsigned NOT NULL,
  `aipr_user_count` int(10) unsigned DEFAULT '0',
  `aipr_status` enum('trusted','suspect','blocked') DEFAULT NULL,
  `aipr_block_count` int(10) unsigned DEFAULT '0',
  PRIMARY KEY (`aipr_ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_basedomains`
--

CREATE TABLE IF NOT EXISTS `evo_basedomains` (
  `dom_ID` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `dom_name` varchar(250) NOT NULL DEFAULT '',
  `dom_status` enum('unknown','whitelist','blacklist') NOT NULL DEFAULT 'unknown',
  `dom_type` enum('unknown','normal','searcheng','aggregator','email') NOT NULL DEFAULT 'unknown',
  PRIMARY KEY (`dom_ID`),
  UNIQUE KEY `dom_type_name` (`dom_type`,`dom_name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_bloggroups`
--

CREATE TABLE IF NOT EXISTS `evo_bloggroups` (
  `bloggroup_blog_ID` int(11) unsigned NOT NULL DEFAULT '0',
  `bloggroup_group_ID` int(11) unsigned NOT NULL DEFAULT '0',
  `bloggroup_ismember` tinyint(4) NOT NULL DEFAULT '0',
  `bloggroup_perm_poststatuses` set('review','draft','private','protected','deprecated','community','published','redirected') NOT NULL DEFAULT '',
  `bloggroup_perm_edit` enum('no','own','lt','le','all','redirected') NOT NULL DEFAULT 'no',
  `bloggroup_perm_delpost` tinyint(4) NOT NULL DEFAULT '0',
  `bloggroup_perm_edit_ts` tinyint(4) NOT NULL DEFAULT '0',
  `bloggroup_perm_delcmts` tinyint(4) NOT NULL DEFAULT '0',
  `bloggroup_perm_recycle_owncmts` tinyint(4) NOT NULL DEFAULT '0',
  `bloggroup_perm_vote_spam_cmts` tinyint(4) NOT NULL DEFAULT '0',
  `bloggroup_perm_cmtstatuses` set('review','draft','private','protected','deprecated','community','published') NOT NULL DEFAULT '',
  `bloggroup_perm_edit_cmt` enum('no','own','anon','lt','le','all') NOT NULL DEFAULT 'no',
  `bloggroup_perm_cats` tinyint(4) NOT NULL DEFAULT '0',
  `bloggroup_perm_properties` tinyint(4) NOT NULL DEFAULT '0',
  `bloggroup_perm_admin` tinyint(4) NOT NULL DEFAULT '0',
  `bloggroup_perm_media_upload` tinyint(4) NOT NULL DEFAULT '0',
  `bloggroup_perm_media_browse` tinyint(4) NOT NULL DEFAULT '0',
  `bloggroup_perm_media_change` tinyint(4) NOT NULL DEFAULT '0',
  `bloggroup_perm_page` tinyint(4) NOT NULL DEFAULT '0',
  `bloggroup_perm_intro` tinyint(4) NOT NULL DEFAULT '0',
  `bloggroup_perm_podcast` tinyint(4) NOT NULL DEFAULT '0',
  `bloggroup_perm_sidebar` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`bloggroup_blog_ID`,`bloggroup_group_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `evo_blogs`
--

CREATE TABLE IF NOT EXISTS `evo_blogs` (
  `blog_ID` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `blog_shortname` varchar(255) DEFAULT '',
  `blog_name` varchar(255) NOT NULL DEFAULT '',
  `blog_owner_user_ID` int(11) unsigned NOT NULL DEFAULT '1',
  `blog_advanced_perms` tinyint(1) NOT NULL DEFAULT '0',
  `blog_tagline` varchar(250) DEFAULT '',
  `blog_description` varchar(250) DEFAULT '',
  `blog_longdesc` text,
  `blog_locale` varchar(20) NOT NULL DEFAULT 'en-EU',
  `blog_access_type` varchar(10) NOT NULL DEFAULT 'extrapath',
  `blog_siteurl` varchar(120) NOT NULL DEFAULT '',
  `blog_urlname` varchar(255) NOT NULL DEFAULT 'urlname',
  `blog_notes` text,
  `blog_keywords` tinytext,
  `blog_allowtrackbacks` tinyint(1) NOT NULL DEFAULT '0',
  `blog_allowblogcss` tinyint(1) NOT NULL DEFAULT '1',
  `blog_allowusercss` tinyint(1) NOT NULL DEFAULT '1',
  `blog_in_bloglist` tinyint(1) NOT NULL DEFAULT '1',
  `blog_links_blog_ID` int(11) DEFAULT NULL,
  `blog_media_location` enum('default','subdir','custom','none') NOT NULL DEFAULT 'default',
  `blog_media_subdir` varchar(255) DEFAULT NULL,
  `blog_media_fullpath` varchar(255) DEFAULT NULL,
  `blog_media_url` varchar(255) DEFAULT NULL,
  `blog_UID` varchar(20) DEFAULT NULL,
  `blog_type` enum('std','photo','group','forum','manual') NOT NULL DEFAULT 'std',
  PRIMARY KEY (`blog_ID`),
  UNIQUE KEY `blog_urlname` (`blog_urlname`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=7 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_blogusers`
--

CREATE TABLE IF NOT EXISTS `evo_blogusers` (
  `bloguser_blog_ID` int(11) unsigned NOT NULL DEFAULT '0',
  `bloguser_user_ID` int(11) unsigned NOT NULL DEFAULT '0',
  `bloguser_ismember` tinyint(4) NOT NULL DEFAULT '0',
  `bloguser_perm_poststatuses` set('review','draft','private','protected','deprecated','community','published','redirected') NOT NULL DEFAULT '',
  `bloguser_perm_edit` enum('no','own','lt','le','all','redirected') NOT NULL DEFAULT 'no',
  `bloguser_perm_delpost` tinyint(4) NOT NULL DEFAULT '0',
  `bloguser_perm_edit_ts` tinyint(4) NOT NULL DEFAULT '0',
  `bloguser_perm_delcmts` tinyint(4) NOT NULL DEFAULT '0',
  `bloguser_perm_recycle_owncmts` tinyint(4) NOT NULL DEFAULT '0',
  `bloguser_perm_vote_spam_cmts` tinyint(4) NOT NULL DEFAULT '0',
  `bloguser_perm_cmtstatuses` set('review','draft','private','protected','deprecated','community','published') NOT NULL DEFAULT '',
  `bloguser_perm_edit_cmt` enum('no','own','anon','lt','le','all') NOT NULL DEFAULT 'no',
  `bloguser_perm_cats` tinyint(4) NOT NULL DEFAULT '0',
  `bloguser_perm_properties` tinyint(4) NOT NULL DEFAULT '0',
  `bloguser_perm_admin` tinyint(4) NOT NULL DEFAULT '0',
  `bloguser_perm_media_upload` tinyint(4) NOT NULL DEFAULT '0',
  `bloguser_perm_media_browse` tinyint(4) NOT NULL DEFAULT '0',
  `bloguser_perm_media_change` tinyint(4) NOT NULL DEFAULT '0',
  `bloguser_perm_page` tinyint(4) NOT NULL DEFAULT '0',
  `bloguser_perm_intro` tinyint(4) NOT NULL DEFAULT '0',
  `bloguser_perm_podcast` tinyint(4) NOT NULL DEFAULT '0',
  `bloguser_perm_sidebar` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`bloguser_blog_ID`,`bloguser_user_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `evo_categories`
--

CREATE TABLE IF NOT EXISTS `evo_categories` (
  `cat_ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `cat_parent_ID` int(10) unsigned DEFAULT NULL,
  `cat_name` varchar(255) NOT NULL,
  `cat_urlname` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL,
  `cat_blog_ID` int(10) unsigned NOT NULL DEFAULT '2',
  `cat_description` varchar(255) DEFAULT NULL,
  `cat_order` int(11) DEFAULT NULL,
  `cat_meta` tinyint(1) NOT NULL DEFAULT '0',
  `cat_lock` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`cat_ID`),
  UNIQUE KEY `cat_urlname` (`cat_urlname`),
  KEY `cat_blog_ID` (`cat_blog_ID`),
  KEY `cat_parent_ID` (`cat_parent_ID`),
  KEY `cat_order` (`cat_order`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=34 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_coll_settings`
--

CREATE TABLE IF NOT EXISTS `evo_coll_settings` (
  `cset_coll_ID` int(11) unsigned NOT NULL,
  `cset_name` varchar(50) NOT NULL,
  `cset_value` varchar(10000) DEFAULT NULL COMMENT 'The AdSense plugin wants to store very long snippets of HTML',
  PRIMARY KEY (`cset_coll_ID`,`cset_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `evo_comments`
--

CREATE TABLE IF NOT EXISTS `evo_comments` (
  `comment_ID` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `comment_post_ID` int(11) unsigned NOT NULL DEFAULT '0',
  `comment_type` enum('comment','linkback','trackback','pingback') NOT NULL DEFAULT 'comment',
  `comment_status` enum('published','community','deprecated','protected','private','review','draft','trash') NOT NULL DEFAULT 'published',
  `comment_in_reply_to_cmt_ID` int(10) unsigned DEFAULT NULL,
  `comment_author_ID` int(10) unsigned DEFAULT NULL,
  `comment_author` varchar(100) DEFAULT NULL,
  `comment_author_email` varchar(255) DEFAULT NULL,
  `comment_author_url` varchar(255) DEFAULT NULL,
  `comment_author_IP` varchar(23) NOT NULL DEFAULT '',
  `comment_IP_ctry_ID` int(10) unsigned DEFAULT NULL,
  `comment_date` datetime NOT NULL DEFAULT '2000-01-01 00:00:00',
  `comment_content` text NOT NULL,
  `comment_renderers` text NOT NULL,
  `comment_rating` tinyint(1) DEFAULT NULL,
  `comment_featured` tinyint(1) NOT NULL DEFAULT '0',
  `comment_nofollow` tinyint(1) NOT NULL DEFAULT '1',
  `comment_helpful_addvotes` int(11) NOT NULL DEFAULT '0',
  `comment_helpful_countvotes` int(10) unsigned NOT NULL DEFAULT '0',
  `comment_spam_addvotes` int(11) NOT NULL DEFAULT '0',
  `comment_spam_countvotes` int(10) unsigned NOT NULL DEFAULT '0',
  `comment_karma` int(11) NOT NULL DEFAULT '0',
  `comment_spam_karma` tinyint(4) DEFAULT NULL,
  `comment_allow_msgform` tinyint(4) NOT NULL DEFAULT '0',
  `comment_secret` varchar(32) DEFAULT NULL,
  `comment_notif_status` enum('noreq','todo','started','finished') NOT NULL DEFAULT 'noreq' COMMENT 'Have notifications been sent for this comment? How far are we in the process?',
  `comment_notif_ctsk_ID` int(10) unsigned DEFAULT NULL COMMENT 'When notifications for this comment are sent through a scheduled job, what is the job ID?',
  PRIMARY KEY (`comment_ID`),
  KEY `comment_post_ID` (`comment_post_ID`),
  KEY `comment_date` (`comment_date`),
  KEY `comment_type` (`comment_type`),
  KEY `comment_status` (`comment_status`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_comments__prerendering`
--

CREATE TABLE IF NOT EXISTS `evo_comments__prerendering` (
  `cmpr_cmt_ID` int(11) unsigned NOT NULL,
  `cmpr_format` enum('htmlbody','entityencoded','xml','text') NOT NULL,
  `cmpr_renderers` text NOT NULL,
  `cmpr_content_prerendered` mediumtext,
  `cmpr_datemodified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`cmpr_cmt_ID`,`cmpr_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `evo_comments__votes`
--

CREATE TABLE IF NOT EXISTS `evo_comments__votes` (
  `cmvt_cmt_ID` int(10) unsigned NOT NULL,
  `cmvt_user_ID` int(10) unsigned NOT NULL,
  `cmvt_helpful` tinyint(1) DEFAULT NULL,
  `cmvt_spam` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`cmvt_cmt_ID`,`cmvt_user_ID`),
  KEY `cmvt_cmt_ID` (`cmvt_cmt_ID`),
  KEY `cmvt_user_ID` (`cmvt_user_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `evo_cron__log`
--

CREATE TABLE IF NOT EXISTS `evo_cron__log` (
  `clog_ctsk_ID` int(10) unsigned NOT NULL,
  `clog_realstart_datetime` datetime NOT NULL DEFAULT '2000-01-01 00:00:00',
  `clog_realstop_datetime` datetime DEFAULT NULL,
  `clog_status` enum('started','finished','error','timeout') NOT NULL DEFAULT 'started',
  `clog_messages` text,
  PRIMARY KEY (`clog_ctsk_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `evo_cron__task`
--

CREATE TABLE IF NOT EXISTS `evo_cron__task` (
  `ctsk_ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ctsk_start_datetime` datetime NOT NULL DEFAULT '2000-01-01 00:00:00',
  `ctsk_repeat_after` int(10) unsigned DEFAULT NULL,
  `ctsk_name` varchar(255) NOT NULL,
  `ctsk_controller` varchar(50) NOT NULL,
  `ctsk_params` text,
  PRIMARY KEY (`ctsk_ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_email__blocked`
--

CREATE TABLE IF NOT EXISTS `evo_email__blocked` (
  `emblk_ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `emblk_address` varchar(255) DEFAULT NULL,
  `emblk_status` enum('unknown','warning','suspicious1','suspicious2','suspicious3','prmerror','spammer') NOT NULL DEFAULT 'unknown',
  `emblk_sent_count` int(10) unsigned NOT NULL DEFAULT '0',
  `emblk_sent_last_returnerror` int(10) unsigned NOT NULL DEFAULT '0',
  `emblk_prmerror_count` int(10) unsigned NOT NULL DEFAULT '0',
  `emblk_tmperror_count` int(10) unsigned NOT NULL DEFAULT '0',
  `emblk_spamerror_count` int(10) unsigned NOT NULL DEFAULT '0',
  `emblk_othererror_count` int(10) unsigned NOT NULL DEFAULT '0',
  `emblk_last_sent_ts` timestamp NULL DEFAULT NULL,
  `emblk_last_error_ts` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`emblk_ID`),
  UNIQUE KEY `emblk_address` (`emblk_address`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_email__log`
--

CREATE TABLE IF NOT EXISTS `evo_email__log` (
  `emlog_ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `emlog_timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `emlog_user_ID` int(10) unsigned DEFAULT NULL,
  `emlog_to` varchar(255) DEFAULT NULL,
  `emlog_result` enum('ok','error','blocked') NOT NULL DEFAULT 'ok',
  `emlog_subject` varchar(255) DEFAULT NULL,
  `emlog_headers` text,
  `emlog_message` text,
  PRIMARY KEY (`emlog_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_email__returns`
--

CREATE TABLE IF NOT EXISTS `evo_email__returns` (
  `emret_ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `emret_address` varchar(255) DEFAULT NULL,
  `emret_errormsg` varchar(255) DEFAULT NULL,
  `emret_timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `emret_headers` text,
  `emret_message` text,
  `emret_errtype` char(1) NOT NULL DEFAULT 'U',
  PRIMARY KEY (`emret_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_files`
--

CREATE TABLE IF NOT EXISTS `evo_files` (
  `file_ID` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `file_root_type` enum('absolute','user','collection','shared','skins') NOT NULL DEFAULT 'absolute',
  `file_root_ID` int(11) unsigned NOT NULL DEFAULT '0',
  `file_path` varchar(255) NOT NULL DEFAULT '',
  `file_title` varchar(255) DEFAULT NULL,
  `file_alt` varchar(255) DEFAULT NULL,
  `file_desc` text,
  `file_hash` char(32) DEFAULT NULL,
  PRIMARY KEY (`file_ID`),
  UNIQUE KEY `file` (`file_root_type`,`file_root_ID`,`file_path`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=11 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_files__vote`
--

CREATE TABLE IF NOT EXISTS `evo_files__vote` (
  `fvot_file_ID` int(11) unsigned NOT NULL,
  `fvot_user_ID` int(11) unsigned NOT NULL,
  `fvot_like` tinyint(1) DEFAULT NULL,
  `fvot_inappropriate` tinyint(1) DEFAULT NULL,
  `fvot_spam` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`fvot_file_ID`,`fvot_user_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `evo_filetypes`
--

CREATE TABLE IF NOT EXISTS `evo_filetypes` (
  `ftyp_ID` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `ftyp_extensions` varchar(30) NOT NULL,
  `ftyp_name` varchar(30) NOT NULL,
  `ftyp_mimetype` varchar(50) NOT NULL,
  `ftyp_icon` varchar(20) DEFAULT NULL,
  `ftyp_viewtype` varchar(10) NOT NULL,
  `ftyp_allowed` enum('any','registered','admin') NOT NULL DEFAULT 'admin',
  PRIMARY KEY (`ftyp_ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=21 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_global__cache`
--

CREATE TABLE IF NOT EXISTS `evo_global__cache` (
  `cach_name` varchar(30) NOT NULL,
  `cach_cache` mediumblob,
  PRIMARY KEY (`cach_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `evo_groups`
--

CREATE TABLE IF NOT EXISTS `evo_groups` (
  `grp_ID` int(11) NOT NULL AUTO_INCREMENT,
  `grp_name` varchar(50) NOT NULL DEFAULT '',
  `grp_perm_blogs` enum('user','viewall','editall') NOT NULL DEFAULT 'user',
  `grp_perm_bypass_antispam` tinyint(1) NOT NULL DEFAULT '0',
  `grp_perm_xhtmlvalidation` varchar(10) NOT NULL DEFAULT 'always',
  `grp_perm_xhtmlvalidation_xmlrpc` varchar(10) NOT NULL DEFAULT 'always',
  `grp_perm_xhtml_css_tweaks` tinyint(1) NOT NULL DEFAULT '0',
  `grp_perm_xhtml_iframes` tinyint(1) NOT NULL DEFAULT '0',
  `grp_perm_xhtml_javascript` tinyint(1) NOT NULL DEFAULT '0',
  `grp_perm_xhtml_objects` tinyint(1) NOT NULL DEFAULT '0',
  `grp_perm_stats` enum('none','user','view','edit') NOT NULL DEFAULT 'none',
  PRIMARY KEY (`grp_ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=7 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_groups__groupsettings`
--

CREATE TABLE IF NOT EXISTS `evo_groups__groupsettings` (
  `gset_grp_ID` int(11) unsigned NOT NULL,
  `gset_name` varchar(30) NOT NULL,
  `gset_value` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`gset_grp_ID`,`gset_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `evo_hitlog`
--

CREATE TABLE IF NOT EXISTS `evo_hitlog` (
  `hit_ID` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `hit_sess_ID` int(10) unsigned DEFAULT NULL,
  `hit_datetime` datetime NOT NULL DEFAULT '2000-01-01 00:00:00',
  `hit_uri` varchar(250) DEFAULT NULL,
  `hit_disp` varchar(30) DEFAULT NULL,
  `hit_ctrl` varchar(30) DEFAULT NULL,
  `hit_action` varchar(30) DEFAULT NULL,
  `hit_type` enum('standard','rss','admin','ajax','service') NOT NULL DEFAULT 'standard',
  `hit_referer_type` enum('search','special','spam','referer','direct','self') NOT NULL,
  `hit_referer` varchar(250) DEFAULT NULL,
  `hit_referer_dom_ID` int(10) unsigned DEFAULT NULL,
  `hit_keyphrase_keyp_ID` int(10) unsigned DEFAULT NULL,
  `hit_keyphrase` varchar(255) DEFAULT NULL,
  `hit_serprank` int(10) unsigned DEFAULT NULL,
  `hit_blog_ID` int(11) unsigned DEFAULT NULL,
  `hit_remote_addr` varchar(40) DEFAULT NULL,
  `hit_agent_type` enum('robot','browser','unknown') NOT NULL DEFAULT 'unknown',
  `hit_response_code` int(11) DEFAULT NULL,
  PRIMARY KEY (`hit_ID`),
  KEY `hit_blog_ID` (`hit_blog_ID`),
  KEY `hit_uri` (`hit_uri`),
  KEY `hit_referer_dom_ID` (`hit_referer_dom_ID`),
  KEY `hit_remote_addr` (`hit_remote_addr`),
  KEY `hit_sess_ID` (`hit_sess_ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_i18n_original_string`
--

CREATE TABLE IF NOT EXISTS `evo_i18n_original_string` (
  `iost_ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `iost_string` varchar(10000) NOT NULL DEFAULT '',
  `iost_inpotfile` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`iost_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_i18n_translated_string`
--

CREATE TABLE IF NOT EXISTS `evo_i18n_translated_string` (
  `itst_ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `itst_iost_ID` int(10) unsigned NOT NULL,
  `itst_locale` varchar(20) NOT NULL DEFAULT '',
  `itst_standard` varchar(10000) NOT NULL DEFAULT '',
  `itst_custom` varchar(10000) DEFAULT NULL,
  `itst_inpofile` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`itst_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_items__item`
--

CREATE TABLE IF NOT EXISTS `evo_items__item` (
  `post_ID` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `post_parent_ID` int(11) unsigned DEFAULT NULL,
  `post_creator_user_ID` int(11) unsigned NOT NULL,
  `post_lastedit_user_ID` int(11) unsigned DEFAULT NULL,
  `post_assigned_user_ID` int(11) unsigned DEFAULT NULL,
  `post_dateset` tinyint(1) NOT NULL DEFAULT '1',
  `post_datestart` datetime NOT NULL DEFAULT '2000-01-01 00:00:00',
  `post_datedeadline` datetime DEFAULT NULL,
  `post_datecreated` timestamp NOT NULL DEFAULT '1999-12-31 23:00:00',
  `post_datemodified` timestamp NOT NULL DEFAULT '1999-12-31 23:00:00',
  `post_last_touched_ts` timestamp NOT NULL DEFAULT '1999-12-31 23:00:00',
  `post_status` enum('published','community','deprecated','protected','private','review','draft','redirected') NOT NULL DEFAULT 'published',
  `post_pst_ID` int(11) unsigned DEFAULT NULL,
  `post_ptyp_ID` int(10) unsigned NOT NULL DEFAULT '1',
  `post_locale` varchar(20) NOT NULL DEFAULT 'en-EU',
  `post_content` mediumtext,
  `post_excerpt` text,
  `post_excerpt_autogenerated` tinyint(1) DEFAULT NULL,
  `post_title` text NOT NULL,
  `post_urltitle` varchar(210) CHARACTER SET ascii COLLATE ascii_bin NOT NULL,
  `post_canonical_slug_ID` int(10) unsigned DEFAULT NULL,
  `post_tiny_slug_ID` int(10) unsigned DEFAULT NULL,
  `post_titletag` varchar(255) DEFAULT NULL,
  `post_url` varchar(255) DEFAULT NULL,
  `post_main_cat_ID` int(11) unsigned NOT NULL,
  `post_notifications_status` enum('noreq','todo','started','finished') NOT NULL DEFAULT 'noreq',
  `post_notifications_ctsk_ID` int(10) unsigned DEFAULT NULL,
  `post_views` int(11) unsigned NOT NULL DEFAULT '0',
  `post_wordcount` int(11) DEFAULT NULL,
  `post_comment_status` enum('disabled','open','closed') NOT NULL DEFAULT 'open',
  `post_renderers` text NOT NULL,
  `post_priority` int(11) unsigned DEFAULT NULL COMMENT 'Task priority in workflow',
  `post_featured` tinyint(1) NOT NULL DEFAULT '0',
  `post_order` double DEFAULT NULL,
  `post_ctry_ID` int(10) unsigned DEFAULT NULL,
  `post_rgn_ID` int(10) unsigned DEFAULT NULL,
  `post_subrg_ID` int(10) unsigned DEFAULT NULL,
  `post_city_ID` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`post_ID`),
  UNIQUE KEY `post_urltitle` (`post_urltitle`),
  KEY `post_datestart` (`post_datestart`),
  KEY `post_main_cat_ID` (`post_main_cat_ID`),
  KEY `post_creator_user_ID` (`post_creator_user_ID`),
  KEY `post_status` (`post_status`),
  KEY `post_parent_ID` (`post_parent_ID`),
  KEY `post_assigned_user_ID` (`post_assigned_user_ID`),
  KEY `post_ptyp_ID` (`post_ptyp_ID`),
  KEY `post_pst_ID` (`post_pst_ID`),
  KEY `post_order` (`post_order`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=71 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_items__itemtag`
--

CREATE TABLE IF NOT EXISTS `evo_items__itemtag` (
  `itag_itm_ID` int(11) unsigned NOT NULL,
  `itag_tag_ID` int(11) unsigned NOT NULL,
  PRIMARY KEY (`itag_itm_ID`,`itag_tag_ID`),
  UNIQUE KEY `tagitem` (`itag_tag_ID`,`itag_itm_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `evo_items__item_settings`
--

CREATE TABLE IF NOT EXISTS `evo_items__item_settings` (
  `iset_item_ID` int(10) unsigned NOT NULL,
  `iset_name` varchar(50) NOT NULL,
  `iset_value` varchar(2000) DEFAULT NULL,
  PRIMARY KEY (`iset_item_ID`,`iset_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `evo_items__prerendering`
--

CREATE TABLE IF NOT EXISTS `evo_items__prerendering` (
  `itpr_itm_ID` int(11) unsigned NOT NULL,
  `itpr_format` enum('htmlbody','entityencoded','xml','text') NOT NULL,
  `itpr_renderers` text NOT NULL,
  `itpr_content_prerendered` mediumtext,
  `itpr_datemodified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`itpr_itm_ID`,`itpr_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `evo_items__status`
--

CREATE TABLE IF NOT EXISTS `evo_items__status` (
  `pst_ID` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `pst_name` varchar(30) NOT NULL,
  PRIMARY KEY (`pst_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_items__subscriptions`
--

CREATE TABLE IF NOT EXISTS `evo_items__subscriptions` (
  `isub_item_ID` int(11) unsigned NOT NULL,
  `isub_user_ID` int(11) unsigned NOT NULL,
  `isub_comments` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'The user wants to receive notifications for new comments on this post',
  PRIMARY KEY (`isub_item_ID`,`isub_user_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `evo_items__tag`
--

CREATE TABLE IF NOT EXISTS `evo_items__tag` (
  `tag_ID` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `tag_name` varbinary(50) NOT NULL,
  PRIMARY KEY (`tag_ID`),
  UNIQUE KEY `tag_name` (`tag_name`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_items__type`
--

CREATE TABLE IF NOT EXISTS `evo_items__type` (
  `ptyp_ID` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `ptyp_name` varchar(30) NOT NULL,
  PRIMARY KEY (`ptyp_ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5001 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_items__version`
--

CREATE TABLE IF NOT EXISTS `evo_items__version` (
  `iver_ID` int(10) unsigned NOT NULL,
  `iver_itm_ID` int(10) unsigned NOT NULL,
  `iver_edit_user_ID` int(10) unsigned DEFAULT NULL,
  `iver_edit_datetime` datetime NOT NULL,
  `iver_status` enum('published','community','deprecated','protected','private','review','draft','redirected') DEFAULT NULL,
  `iver_title` text,
  `iver_content` mediumtext,
  KEY `iver_ID_itm_ID` (`iver_ID`,`iver_itm_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `evo_links`
--

CREATE TABLE IF NOT EXISTS `evo_links` (
  `link_ID` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `link_datecreated` datetime NOT NULL DEFAULT '2000-01-01 00:00:00',
  `link_datemodified` datetime NOT NULL DEFAULT '2000-01-01 00:00:00',
  `link_creator_user_ID` int(11) unsigned DEFAULT NULL,
  `link_lastedit_user_ID` int(11) unsigned DEFAULT NULL,
  `link_itm_ID` int(11) unsigned DEFAULT NULL,
  `link_cmt_ID` int(11) unsigned DEFAULT NULL COMMENT 'Used for linking files to comments (comment attachments)',
  `link_usr_ID` int(11) unsigned DEFAULT NULL COMMENT 'Used for linking files to users (user profile picture)',
  `link_dest_itm_ID` int(11) unsigned DEFAULT NULL,
  `link_file_ID` int(11) unsigned DEFAULT NULL,
  `link_ltype_ID` int(11) unsigned NOT NULL DEFAULT '1',
  `link_external_url` varchar(255) DEFAULT NULL,
  `link_title` text,
  `link_position` varchar(10) NOT NULL,
  `link_order` int(11) unsigned NOT NULL,
  PRIMARY KEY (`link_ID`),
  UNIQUE KEY `link_itm_ID_order` (`link_itm_ID`,`link_order`),
  KEY `link_itm_ID` (`link_itm_ID`),
  KEY `link_cmt_ID` (`link_cmt_ID`),
  KEY `link_usr_ID` (`link_usr_ID`),
  KEY `link_dest_itm_ID` (`link_dest_itm_ID`),
  KEY `link_file_ID` (`link_file_ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=31 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_locales`
--

CREATE TABLE IF NOT EXISTS `evo_locales` (
  `loc_locale` varchar(20) NOT NULL DEFAULT '',
  `loc_charset` varchar(15) NOT NULL DEFAULT 'iso-8859-1',
  `loc_datefmt` varchar(20) NOT NULL DEFAULT 'y-m-d',
  `loc_timefmt` varchar(20) NOT NULL DEFAULT 'H:i:s',
  `loc_startofweek` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `loc_name` varchar(40) NOT NULL DEFAULT '',
  `loc_messages` varchar(20) NOT NULL DEFAULT '',
  `loc_priority` tinyint(4) unsigned NOT NULL DEFAULT '0',
  `loc_transliteration_map` varchar(10000) NOT NULL DEFAULT '',
  `loc_enabled` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`loc_locale`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='saves available locales';

-- --------------------------------------------------------

--
-- Table structure for table `evo_messaging__contact`
--

CREATE TABLE IF NOT EXISTS `evo_messaging__contact` (
  `mct_from_user_ID` int(10) unsigned NOT NULL,
  `mct_to_user_ID` int(10) unsigned NOT NULL,
  `mct_blocked` tinyint(1) DEFAULT '0',
  `mct_last_contact_datetime` datetime NOT NULL,
  PRIMARY KEY (`mct_from_user_ID`,`mct_to_user_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `evo_messaging__contact_groups`
--

CREATE TABLE IF NOT EXISTS `evo_messaging__contact_groups` (
  `cgr_ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `cgr_user_ID` int(10) unsigned NOT NULL,
  `cgr_name` varchar(50) NOT NULL,
  PRIMARY KEY (`cgr_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_messaging__contact_groupusers`
--

CREATE TABLE IF NOT EXISTS `evo_messaging__contact_groupusers` (
  `cgu_user_ID` int(10) unsigned NOT NULL,
  `cgu_cgr_ID` int(10) unsigned NOT NULL,
  PRIMARY KEY (`cgu_user_ID`,`cgu_cgr_ID`),
  KEY `cgu_cgr_ID` (`cgu_cgr_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `evo_messaging__message`
--

CREATE TABLE IF NOT EXISTS `evo_messaging__message` (
  `msg_ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `msg_author_user_ID` int(10) unsigned NOT NULL,
  `msg_datetime` datetime NOT NULL,
  `msg_thread_ID` int(10) unsigned NOT NULL,
  `msg_text` text,
  PRIMARY KEY (`msg_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_messaging__thread`
--

CREATE TABLE IF NOT EXISTS `evo_messaging__thread` (
  `thrd_ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `thrd_title` varchar(255) NOT NULL,
  `thrd_datemodified` datetime NOT NULL,
  PRIMARY KEY (`thrd_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_messaging__threadstatus`
--

CREATE TABLE IF NOT EXISTS `evo_messaging__threadstatus` (
  `tsta_thread_ID` int(10) unsigned NOT NULL,
  `tsta_user_ID` int(10) unsigned NOT NULL,
  `tsta_first_unread_msg_ID` int(10) unsigned DEFAULT NULL,
  `tsta_thread_leave_msg_ID` int(10) unsigned DEFAULT NULL,
  KEY `tsta_user_ID` (`tsta_user_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `evo_pluginevents`
--

CREATE TABLE IF NOT EXISTS `evo_pluginevents` (
  `pevt_plug_ID` int(11) unsigned NOT NULL,
  `pevt_event` varchar(40) NOT NULL,
  `pevt_enabled` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`pevt_plug_ID`,`pevt_event`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `evo_plugins`
--

CREATE TABLE IF NOT EXISTS `evo_plugins` (
  `plug_ID` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `plug_priority` tinyint(4) NOT NULL DEFAULT '50',
  `plug_classname` varchar(40) NOT NULL DEFAULT '',
  `plug_code` varchar(32) DEFAULT NULL,
  `plug_version` varchar(42) NOT NULL DEFAULT '0',
  `plug_name` varchar(255) DEFAULT NULL,
  `plug_shortdesc` varchar(255) DEFAULT NULL,
  `plug_status` enum('enabled','disabled','needs_config','broken') NOT NULL,
  `plug_spam_weight` tinyint(3) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`plug_ID`),
  UNIQUE KEY `plug_code` (`plug_code`),
  KEY `plug_status` (`plug_status`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=15 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_pluginsettings`
--

CREATE TABLE IF NOT EXISTS `evo_pluginsettings` (
  `pset_plug_ID` int(11) unsigned NOT NULL,
  `pset_name` varchar(30) NOT NULL,
  `pset_value` text,
  PRIMARY KEY (`pset_plug_ID`,`pset_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `evo_pluginusersettings`
--

CREATE TABLE IF NOT EXISTS `evo_pluginusersettings` (
  `puset_plug_ID` int(11) unsigned NOT NULL,
  `puset_user_ID` int(11) unsigned NOT NULL,
  `puset_name` varchar(30) NOT NULL,
  `puset_value` text,
  PRIMARY KEY (`puset_plug_ID`,`puset_user_ID`,`puset_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `evo_plugin_captcha_qstn_14_ip_question`
--

CREATE TABLE IF NOT EXISTS `evo_plugin_captcha_qstn_14_ip_question` (
  `cptip_IP` int(10) unsigned NOT NULL,
  `cptip_cptq_ID` int(10) unsigned NOT NULL,
  KEY `cptip_IP` (`cptip_IP`,`cptip_cptq_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `evo_plugin_captcha_qstn_14_questions`
--

CREATE TABLE IF NOT EXISTS `evo_plugin_captcha_qstn_14_questions` (
  `cptq_ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `cptq_question` varchar(255) NOT NULL,
  `cptq_answers` varchar(255) NOT NULL,
  PRIMARY KEY (`cptq_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_postcats`
--

CREATE TABLE IF NOT EXISTS `evo_postcats` (
  `postcat_post_ID` int(11) unsigned NOT NULL,
  `postcat_cat_ID` int(11) unsigned NOT NULL,
  PRIMARY KEY (`postcat_post_ID`,`postcat_cat_ID`),
  UNIQUE KEY `catpost` (`postcat_cat_ID`,`postcat_post_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `evo_regional__city`
--

CREATE TABLE IF NOT EXISTS `evo_regional__city` (
  `city_ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `city_ctry_ID` int(10) unsigned NOT NULL,
  `city_rgn_ID` int(10) unsigned DEFAULT NULL,
  `city_subrg_ID` int(10) unsigned DEFAULT NULL,
  `city_postcode` char(12) NOT NULL,
  `city_name` varchar(40) NOT NULL,
  `city_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `city_preferred` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`city_ID`),
  KEY `city_ctry_ID_postcode` (`city_ctry_ID`,`city_postcode`),
  KEY `city_rgn_ID_postcode` (`city_rgn_ID`,`city_postcode`),
  KEY `city_subrg_ID_postcode` (`city_subrg_ID`,`city_postcode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_regional__country`
--

CREATE TABLE IF NOT EXISTS `evo_regional__country` (
  `ctry_ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ctry_code` char(2) NOT NULL,
  `ctry_name` varchar(40) NOT NULL,
  `ctry_curr_ID` int(10) unsigned DEFAULT NULL,
  `ctry_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `ctry_preferred` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ctry_ID`),
  UNIQUE KEY `ctry_code` (`ctry_code`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=249 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_regional__currency`
--

CREATE TABLE IF NOT EXISTS `evo_regional__currency` (
  `curr_ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `curr_code` char(3) NOT NULL,
  `curr_shortcut` varchar(30) NOT NULL,
  `curr_name` varchar(40) NOT NULL,
  `curr_enabled` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`curr_ID`),
  UNIQUE KEY `curr_code` (`curr_code`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=164 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_regional__region`
--

CREATE TABLE IF NOT EXISTS `evo_regional__region` (
  `rgn_ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `rgn_ctry_ID` int(10) unsigned NOT NULL,
  `rgn_code` char(6) NOT NULL,
  `rgn_name` varchar(40) NOT NULL,
  `rgn_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `rgn_preferred` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`rgn_ID`),
  UNIQUE KEY `rgn_ctry_ID_code` (`rgn_ctry_ID`,`rgn_code`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=80 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_regional__subregion`
--

CREATE TABLE IF NOT EXISTS `evo_regional__subregion` (
  `subrg_ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `subrg_rgn_ID` int(10) unsigned NOT NULL,
  `subrg_code` char(6) NOT NULL,
  `subrg_name` varchar(40) NOT NULL,
  `subrg_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `subrg_preferred` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`subrg_ID`),
  UNIQUE KEY `subrg_rgn_ID_code` (`subrg_rgn_ID`,`subrg_code`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=107 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_sessions`
--

CREATE TABLE IF NOT EXISTS `evo_sessions` (
  `sess_ID` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `sess_key` char(32) DEFAULT NULL,
  `sess_start_ts` timestamp NOT NULL DEFAULT '1999-12-31 23:00:00',
  `sess_lastseen_ts` timestamp NOT NULL DEFAULT '1999-12-31 23:00:00' COMMENT 'User last logged activation time. Value may be off by up to 60 seconds',
  `sess_ipaddress` varchar(39) NOT NULL DEFAULT '',
  `sess_user_ID` int(10) DEFAULT NULL,
  `sess_data` mediumblob,
  `sess_device` varchar(8) NOT NULL DEFAULT '',
  PRIMARY KEY (`sess_ID`),
  KEY `sess_user_ID` (`sess_user_ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_settings`
--

CREATE TABLE IF NOT EXISTS `evo_settings` (
  `set_name` varchar(30) NOT NULL,
  `set_value` varchar(5000) DEFAULT NULL,
  PRIMARY KEY (`set_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `evo_skins__container`
--

CREATE TABLE IF NOT EXISTS `evo_skins__container` (
  `sco_skin_ID` int(10) unsigned NOT NULL,
  `sco_name` varchar(40) NOT NULL,
  PRIMARY KEY (`sco_skin_ID`,`sco_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `evo_skins__skin`
--

CREATE TABLE IF NOT EXISTS `evo_skins__skin` (
  `skin_ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `skin_name` varchar(32) NOT NULL,
  `skin_type` enum('normal','feed','sitemap','mobile','tablet') NOT NULL DEFAULT 'normal',
  `skin_folder` varchar(32) NOT NULL,
  PRIMARY KEY (`skin_ID`),
  UNIQUE KEY `skin_folder` (`skin_folder`),
  KEY `skin_name` (`skin_name`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=21 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_slug`
--

CREATE TABLE IF NOT EXISTS `evo_slug` (
  `slug_ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `slug_title` varchar(255) CHARACTER SET ascii COLLATE ascii_bin NOT NULL,
  `slug_type` char(6) NOT NULL DEFAULT 'item',
  `slug_itm_ID` int(11) unsigned DEFAULT NULL,
  PRIMARY KEY (`slug_ID`),
  UNIQUE KEY `slug_title` (`slug_title`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=142 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_subscriptions`
--

CREATE TABLE IF NOT EXISTS `evo_subscriptions` (
  `sub_coll_ID` int(11) unsigned NOT NULL,
  `sub_user_ID` int(11) unsigned NOT NULL,
  `sub_items` tinyint(1) NOT NULL,
  `sub_comments` tinyint(1) NOT NULL,
  PRIMARY KEY (`sub_coll_ID`,`sub_user_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `evo_track__goal`
--

CREATE TABLE IF NOT EXISTS `evo_track__goal` (
  `goal_ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `goal_name` varchar(50) DEFAULT NULL,
  `goal_key` varchar(32) DEFAULT NULL,
  `goal_redir_url` varchar(255) DEFAULT NULL,
  `goal_default_value` double DEFAULT NULL,
  PRIMARY KEY (`goal_ID`),
  UNIQUE KEY `goal_key` (`goal_key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_track__goalhit`
--

CREATE TABLE IF NOT EXISTS `evo_track__goalhit` (
  `ghit_ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ghit_goal_ID` int(10) unsigned NOT NULL,
  `ghit_hit_ID` int(10) unsigned NOT NULL,
  `ghit_params` text,
  PRIMARY KEY (`ghit_ID`),
  KEY `ghit_goal_ID` (`ghit_goal_ID`),
  KEY `ghit_hit_ID` (`ghit_hit_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_track__keyphrase`
--

CREATE TABLE IF NOT EXISTS `evo_track__keyphrase` (
  `keyp_ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `keyp_phrase` varchar(255) NOT NULL,
  `keyp_count_refered_searches` int(10) unsigned DEFAULT '0',
  `keyp_count_internal_searches` int(10) unsigned DEFAULT '0',
  PRIMARY KEY (`keyp_ID`),
  UNIQUE KEY `keyp_phrase` (`keyp_phrase`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_users`
--

CREATE TABLE IF NOT EXISTS `evo_users` (
  `user_ID` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `user_login` varchar(20) NOT NULL,
  `user_pass` char(32) NOT NULL,
  `user_grp_ID` int(4) NOT NULL DEFAULT '1',
  `user_email` varchar(255) NOT NULL,
  `user_status` enum('activated','autoactivated','closed','deactivated','emailchanged','failedactivation','new') NOT NULL DEFAULT 'new',
  `user_avatar_file_ID` int(10) unsigned DEFAULT NULL,
  `user_firstname` varchar(50) DEFAULT NULL,
  `user_lastname` varchar(50) DEFAULT NULL,
  `user_nickname` varchar(50) DEFAULT NULL,
  `user_url` varchar(255) DEFAULT NULL,
  `user_level` int(10) unsigned NOT NULL DEFAULT '0',
  `user_locale` varchar(20) NOT NULL DEFAULT 'en-EU',
  `user_unsubscribe_key` varchar(32) NOT NULL DEFAULT '' COMMENT 'A specific key, it is used when a user wants to unsubscribe from a post comments without signing in',
  `user_gender` char(1) DEFAULT NULL,
  `user_age_min` int(10) unsigned DEFAULT NULL,
  `user_age_max` int(10) unsigned DEFAULT NULL,
  `user_reg_ctry_ID` int(10) unsigned DEFAULT NULL,
  `user_ctry_ID` int(10) unsigned DEFAULT NULL,
  `user_rgn_ID` int(10) unsigned DEFAULT NULL,
  `user_subrg_ID` int(10) unsigned DEFAULT NULL,
  `user_city_ID` int(10) unsigned DEFAULT NULL,
  `user_source` varchar(30) DEFAULT NULL,
  `user_created_datetime` datetime NOT NULL DEFAULT '2000-01-01 00:00:00',
  `user_lastseen_ts` timestamp NULL DEFAULT NULL,
  `user_email_dom_ID` int(10) unsigned DEFAULT NULL,
  `user_profileupdate_date` date NOT NULL DEFAULT '2000-01-01',
  PRIMARY KEY (`user_ID`),
  UNIQUE KEY `user_login` (`user_login`),
  KEY `user_grp_ID` (`user_grp_ID`),
  KEY `user_email` (`user_email`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=8 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_users__fielddefs`
--

CREATE TABLE IF NOT EXISTS `evo_users__fielddefs` (
  `ufdf_ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ufdf_ufgp_ID` int(10) unsigned NOT NULL,
  `ufdf_type` char(8) NOT NULL,
  `ufdf_name` varchar(255) NOT NULL,
  `ufdf_options` text NOT NULL,
  `ufdf_required` enum('hidden','optional','recommended','require') NOT NULL DEFAULT 'optional',
  `ufdf_duplicated` enum('forbidden','allowed','list') NOT NULL DEFAULT 'allowed',
  `ufdf_order` int(11) NOT NULL,
  `ufdf_suggest` tinyint(1) NOT NULL DEFAULT '0',
  `ufdf_bubbletip` varchar(2000) DEFAULT NULL,
  PRIMARY KEY (`ufdf_ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=31 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_users__fieldgroups`
--

CREATE TABLE IF NOT EXISTS `evo_users__fieldgroups` (
  `ufgp_ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ufgp_name` varchar(255) NOT NULL,
  `ufgp_order` int(11) NOT NULL,
  PRIMARY KEY (`ufgp_ID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=7 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_users__fields`
--

CREATE TABLE IF NOT EXISTS `evo_users__fields` (
  `uf_ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `uf_user_ID` int(10) unsigned NOT NULL,
  `uf_ufdf_ID` int(10) unsigned NOT NULL,
  `uf_varchar` varchar(10000) NOT NULL,
  PRIMARY KEY (`uf_ID`),
  KEY `uf_ufdf_ID` (`uf_ufdf_ID`),
  KEY `uf_varchar` (`uf_varchar`(255))
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

-- --------------------------------------------------------

--
-- Table structure for table `evo_users__reports`
--

CREATE TABLE IF NOT EXISTS `evo_users__reports` (
  `urep_target_user_ID` int(11) unsigned NOT NULL,
  `urep_reporter_ID` int(11) unsigned NOT NULL,
  `urep_status` enum('fake','guidelines','harass','spam','other') DEFAULT NULL,
  `urep_info` varchar(240) DEFAULT NULL,
  `urep_datetime` datetime NOT NULL,
  PRIMARY KEY (`urep_target_user_ID`,`urep_reporter_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `evo_users__usersettings`
--

CREATE TABLE IF NOT EXISTS `evo_users__usersettings` (
  `uset_user_ID` int(11) unsigned NOT NULL,
  `uset_name` varchar(30) NOT NULL,
  `uset_value` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`uset_user_ID`,`uset_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `evo_widget`
--

CREATE TABLE IF NOT EXISTS `evo_widget` (
  `wi_ID` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `wi_coll_ID` int(11) unsigned NOT NULL,
  `wi_sco_name` varchar(40) NOT NULL,
  `wi_order` int(10) NOT NULL,
  `wi_enabled` tinyint(1) NOT NULL DEFAULT '1',
  `wi_type` enum('core','plugin') NOT NULL DEFAULT 'core',
  `wi_code` varchar(32) NOT NULL,
  `wi_params` text,
  PRIMARY KEY (`wi_ID`),
  UNIQUE KEY `wi_order` (`wi_coll_ID`,`wi_sco_name`,`wi_order`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=156 ;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `evo_messaging__contact_groupusers`
--
ALTER TABLE `evo_messaging__contact_groupusers`
  ADD CONSTRAINT `evo_messaging__contact_groupusers_ibfk_1` FOREIGN KEY (`cgu_cgr_ID`) REFERENCES `evo_messaging__contact_groups` (`cgr_ID`) ON DELETE CASCADE;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
